Firmware update

rorznick
Level 2

When I try to access the router, the browser reports:

 

Secure Connection Failed

Peer using unsupported version of security protocol.

Error code: SSL_ERROR_UNSUPPORTED_VERSION

Please contact the website owners to inform them of this problem.

This website might not support the TLS 1.2 protocol.

 

Router details:
Firmware version: 0.1.0 0.9.1 v5006.0 Build 200810 Rel.53181n

Hardware version: Archer VR1600v v1 00000000

 

Does it need an update?

3 REPLIES 3
Riezl
Moderator

Hi @@rorznic , please be advised that your modem has the latest firmware. If you are having issues with the service, feel free to send us a PM with your TPG customer  ID, username and complete address so we can pull up the account.

 

To send a PM, please refer to this link: How do I private message (PM) in the community 

rorznick
Level 2

For anyone else reading this / experiencing the same issue, TPG just replied above but haven't updated anything in my router, and the issue is still occurring.

david64
Level 11

Hi @rorznick . When you say "access the  router", do you mean to login to the router admin, or to browse a website on the internet?

What device are you using and what browser?